Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Interface SpanQueryBuilder

All Superinterfaces:
  QueryBuilder

All Known Implementing Classes:
  BoostingTermBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder

    public interface SpanQueryBuilder

extends QueryBuilder

Method Summary
`SpanQuery` | `getSpanQuery(Element e)`

Methods inherited from interface org.apache.lucene.xmlparser.QueryBuilder
`getQuery`

Method Detail

### getSpanQuery

    SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD